org.bouncycastle.asn1.cms

## Class SignedData

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.cms.SignedData

All Implemented Interfaces:
  DEREncodable

    public class SignedData
    extends ASN1Encodable

a signed data object.

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Constructor Summary

Constructors
Constructor and Description
`SignedData(ASN1Sequence seq)`
`SignedData(ASN1Set digestAlgorithms, ContentInfo contentInfo, ASN1Set certificates, ASN1Set crls, ASN1Set signerInfos)`

### Method Summary

Methods
`ASN1Set` `getCertificates()`
`ASN1Set` `getCRLs()`
`ASN1Set` `getDigestAlgorithms()`
`ContentInfo` `getEncapContentInfo()`
`static SignedData` `getInstance(java.lang.Object o)`
`ASN1Set` `getSignerInfos()`
`DERInteger` `getVersion()`
`DERObject` `toASN1Object()` Produce an object suitable for an ASN1OutputStream.

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SignedData

    public SignedData(ASN1Set digestAlgorithms,
              ContentInfo contentInfo,
              ASN1Set certificates,
              ASN1Set crls,
              ASN1Set signerInfos)

#### SignedData

    public SignedData(ASN1Sequence seq)

### Method Detail

#### getInstance

    public static SignedData getInstance(java.lang.Object o)

#### getVersion

    public DERInteger getVersion()

#### getDigestAlgorithms

    public ASN1Set getDigestAlgorithms()

#### getEncapContentInfo

    public ContentInfo getEncapContentInfo()

#### getCertificates

    public ASN1Set getCertificates()

#### getCRLs

    public ASN1Set getCRLs()

#### getSignerInfos

    public ASN1Set getSignerInfos()

#### toASN1Object

    public DERObject toASN1Object()

Produce an object suitable for an ASN1OutputStream.

     SignedData ::= SEQUENCE {
         version CMSVersion,
         digestAlgorithms DigestAlgorithmIdentifiers,
         encapContentInfo EncapsulatedContentInfo,
         certificates [0] IMPLICIT CertificateSet OPTIONAL,
         crls [1] IMPLICIT CertificateRevocationLists OPTIONAL,
         signerInfos SignerInfos
       }

Specified by:
  `toASN1Object` in class `ASN1Encodable`